Support » Plugin: PayPal Express Checkout Payment Gateway for WooCommerce » Securitiy header is not valid

  • Resolved tom84

    (@tom84-1)


    Hi, i want to use your plugin for paypal express checkout.
    When I press the Express button in the shopping cart, I get the following error message:

    An error occurred, We were unable to process your order, Please try again.

    in the log files i can see the following error:

    2020-01-16T11:14:51+00:00 DEBUG <——————- ExtensionHawk PayPal Express Payment ( Setting Express Checkout ) ——————->
    stdClass Object
    (
    [METHOD] => SetExpressCheckout
    [RETURNURL] => https://kellerfenster-24.de/wc-api/Eh_PayPal_Express_Payment/?c=express_details&p=https://kellerfenster-24.de/warenkorb/
    [CANCELURL] => https://kellerfenster-24.de/warenkorb/?cancel_express_checkout=cancel
    [ADDROVERRIDE] =>
    [BRANDNAME] => Kellerfenster-24 Shop – individuelle Kellerfenster nach Maß
    [HDRIMG] =>
    [LOGOIMG] =>
    [SOLUTIONTYPE] => Sole
    [CUSTOMERSERVICENUMBER] =>
    [LOCALECODE] => de_DE
    [LANDINGPAGE] => Billing
    [L_PAYMENTREQUEST_0_NAME0] => Gitter für Fremd-Fenster x 2
    [L_PAYMENTREQUEST_0_DESC0] => Gitter Modell Fremd: : 3-0-lochblech-schraubbar-verzinkt
    [L_PAYMENTREQUEST_0_AMT0] => 62.77
    [L_PAYMENTREQUEST_0_ITEMURL0] => https://kellerfenster-24.de/produkt/akf-schutzgitter-kellerfenster-massanfertigung/?attribute_pa_gitter-modell-fremd=3-0-lochblech-schraubbar-verzinkt
    [PAYMENTREQUEST_0_AMT] => 100.3
    [PAYMENTREQUEST_0_CURRENCYCODE] => EUR
    [PAYMENTREQUEST_0_ITEMAMT] => 62.77
    [PAYMENTREQUEST_0_SHIPPINGAMT] => 21.51
    [PAYMENTREQUEST_0_TAXAMT] => 16.02
    [PAYMENTREQUEST_0_NOTIFYURL] =>
    [PAYMENTREQUEST_0_PAYMENTACTION] => Sale
    [MAXAMT] => 176.3
    [PAYMENTREQUEST_0_SHIPTONAME] =>
    [PAYMENTREQUEST_0_SHIPTOSTREET] =>
    [PAYMENTREQUEST_0_SHIPTOSTREET2] =>
    [PAYMENTREQUEST_0_SHIPTOCITY] =>
    [PAYMENTREQUEST_0_SHIPTOSTATE] =>
    [PAYMENTREQUEST_0_SHIPTOZIP] =>
    [PAYMENTREQUEST_0_SHIPTOCOUNTRYCODE] => DE
    [PAYMENTREQUEST_0_SHIPTOPHONENUM] =>
    [PAYMENTREQUEST_0_NOTETEXT] =>
    [PAYMENTREQUEST_0_EMAIL] =>
    [PAYMENTREQUEST_0_PAYMENTREQUESTID] => 2238
    )

    2020-01-16T11:14:52+00:00 DEBUG <——————- ExtensionHawk PayPal Express Payment ( Response on Express Start/Credit Start ) ——————->
    stdClass Object
    (
    [TIMESTAMP] => 2020-01-16T11:14:52Z
    [CORRELATIONID] => 2307c6631afa7
    [ACK] => Failure
    [BUILD] => 54022052
    [L_ERRORCODE0] => 10002
    [L_SHORTMESSAGE0] => Security error
    [L_LONGMESSAGE0] => Security header is not valid
    [L_SEVERITYCODE0] => Error
    )

    I know that this error can have something to do with wrong access data for paypal. I use for:

    Live API Username = PayPal account
    Live API Password = Client ID
    Live API Signature = Secret

    i hope this is correct?

    best regards

    Tom

    • This topic was modified 1 year, 8 months ago by tom84.
Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘Securitiy header is not valid’ is closed to new replies.